(defun link-exe ()
	(let ((destpath  (first *args*))
		  (stubpath (second *args*)))
		(dolist (filename (cddr *args*))
			(load filename))
		(setq ext::*for-execute* '((main)))
  		(with-open-file (dstm destpath :direction :output :element-type '(integer 0 255))
    		(with-open-file (stubstm stubpath :direction :input :element-type '(integer 0 255))
      			(let ((ar (make-sequence 'vector (file-length stubstm))))
        			(read-sequence ar stubstm)
        			(write-sequence ar dstm)))
	    	(write-sequence (map 'vector #'char-code "$L$I$S$P") dstm)
    		(sys::savemem dstm))
	  	(format t " compiled to ~A" destpath)
  		(setq ext::*for-execute* nil)
		t))


(link-exe)